%define name ogmrip
%define version 0.10.0
%define pre rc3
%define rel 0.%pre.2
%define release %mkrel %rel
%define distsuffix plf
%define major 0
%define libname %mklibname %name %major
%define mplayerver 1.0-1.pre8

Summary: Graphical DVD ripper
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/ogmrip/%{name}-%{version}-%pre.tar.bz2
Patch: ogmrip-0.10.0-rc1-no-werror.patch.bz2
License: LGPL
Group: Video
Url: http://ogmrip.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libdvdread-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel >= 2.5
BuildRequires: libhal-devel dbus-glib-devel
BuildRequires: mencoder >= %mplayerver
BuildRequires: ogmtools
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: vorbis-tools
BuildRequires: lame
BuildRequires: mkvtoolnix
#gw spell checker
#only needed with gocr
#BuildRequires: libenchant-devel
BuildRequires: intltool
BuildRequires: ImageMagick
BuildRequires: automake1.8
BuildRequires: desktop-file-utils
Requires: mencoder >= %mplayerver
Requires: ogmtools
Requires: vorbis-tools
Requires: lame
Requires: mkvtoolnix
#gw for srttool
Requires: subtitleripper

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

OGMRip:
* outputs ogm, avi or matroska files
* provides a lot of codecs (ogg vorbis, mp3, pcm, ac3, xvid, lavc)
* calculates video bitrate for a given filesize
* calculates cropping parameters and scaling factors
* uses maximum quality codec switches
* supports subtitles extraction
* rips contiguous chapters
* features a HIG-compliant GNOME 2 user interface

This is in PLF as it depends on lame.

%package -n %libname
Summary: DVD ripping libraries from %name
Group: System/Libraries

%description -n %libname
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the set of libraries.

This is in PLF as it depends on lame.
%package -n %libname-devel
Summary: DVD ripping libraries from %name
Group: Development/C
Requires: %libname = %version
Provides: libogmrip-devel = %version-%release

%description -n %libname-devel
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.
This contains the development parts of these libraries.

This is in PLF as it depends on lame.
%prep
%setup -q -n %name-%version-%pre
%patch -p1
aclocal-1.8
autoconf
automake-1.8

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot%_libdir/lib*.a
#gw this is in subtitleripper
rm -f %buildroot%_bindir/srttool
#gw bad locale
rm -f %buildroot%_datadir/locale/en/LC_MESSAGES/ogmrip.mo
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Multimedia/Video" \
	icon="%name.png" \
	title="OGMRip DVD Encoder" \
	longtitle="A DVD Encoder for GNOME" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir/
convert -scale 32 data/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 data/%name.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null
fi

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog TODO AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_bindir/subp2pgm
%_bindir/dvdcpy
%_bindir/theoraenc
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/%name
%_includedir/ogmdvd/
%_includedir/ogmjob/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*.la
%_libdir/pkgconfig/ogmdvd.pc
%_libdir/pkgconfig/ogmjob.pc
%_libdir/pkgconfig/ogmrip.pc

%changelog
* Wed Aug 30 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.2plf2007.0
- fix buildrequires

* Sun Aug 20 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc3.1plf2007.0
- new version

* Thu Jul 13 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.2plf2007.0
- fix buildrequires

* Wed Jul  5 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc2.1plf2007.0
- new version

* Mon Jun 26 2006 Gtz Waschk <goetz@zarb.org> 0.10.0-0.rc1.1plf2007.0
- update file list
- xdg menu
- update the patch
- new version

* Thu Oct 27 2005 Götz Waschk <goetz@zarb.org> 0.9.0-2plf
- rebuild for new hal

* Wed Jun 29 2005 Gtz Waschk <goetz@zarb.org> 0.9.0-1plf
- update file list
- update deps
- patch to disable -Werror
- New release 0.9.0

* Wed May  4 2005 Gtz Waschk <goetz@zarb.org> 0.8.2-1plf
- drop werror patch
- New release 0.8.2

* Thu Apr 21 2005 Gtz Waschk <goetz@zarb.org> 0.8.1-1plf
- fix buildrequires
- drop patch 1
- New release 0.8.1

* Tue Apr 19 2005 Gtz Waschk <goetz@zarb.org> 0.8.0-1plf
- bump deps
- patch to fix sed detection
- mkrel
- New release 0.8.0

* Thu Mar 03 2005 Götz Waschk <goetz@zarb.org> 0.7.1-1plf
- New release 0.7.1

* Wed Feb 23 2005 Gtz Waschk <goetz@zarb.org> 0.7.0-1plf
- fix build
- New release 0.7.0

* Thu Jan  6 2005 Gtz Waschk <goetz@zarb.org> 0.6.2-1plf
- New release 0.6.2

* Wed Jan  5 2005 Gtz Waschk <goetz@zarb.org> 0.6.1-1plf
- initial package
